Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/01/2019 in all areas

  1. When working with True Colour values, it is usually easier to manipulate the existing AcCmColor object associated with the layer object, e.g.: (defun createlayer ( name color linetype lineweight / lay tru ) (setq lay (vla-add (vla-get-layers (vla-get-activedocument (vlax-get-acad-object))) name)) (if (listp color) (progn (setq tru (vla-get-truecolor lay)) (apply 'vla-setrgb (cons tru color)) (vla-put-truecolor lay tru) ) (vla-put-color lay color) ) (vla-put-linetype lay linetype) (vla-put-lineweight lay lineweight) lay ) Which you can call either with an ACI colour value or list of red, green & blue values: (createlayer "test1" 2 "Continuous" aclnwtbylwdefault) (createlayer "test2" '(100 150 200) "Continuous" aclnwtbylwdefault) Note that this assumes that the supplied linetype is already defined within the active drawing. I would also suggest supplying the Layer Collection as an argument rather than evaluating vlax-get-acad-object for each layer created.
    1 point
  2. If you are using AutoCAD 2007 as shown in your profile, I would suggest downloading the FREE latest version of DWGTrueView and use that to plot, I never liked the early version of the plot to PDF myself and I believe they improved it in 2016 version.. From Autodesk Help File AutoCAD 2007 To create a PDF file from an AutoCAD® drawing Click File menu > Plot. Select DWG To PDF.pc3 from the Printer/Plotter drop-down list. Configure other settings in the Plot dialog box, if necessary. Click OK. Enter a name for the PDF file and save it to the desired location.
    1 point
  3. Autocad has "DWG to pdf" as a printer it should be just there in the available printers. There are some good tutorials about using layouts and plotting search here 1st or Google.
    1 point
  4. You must first locate or create a plotter. Some are free to download. Install the plotter. Use that plotter to print as you would any other device. It will ask for a folder to put the PDF into. If that's not enough information, ask a more detailed question.
    1 point
  5. Thank you very much. Everything clear now
    0 points
×
×
  • Create New...